Skip to main content
GET
/
api
/
dataframer
/
anonymization-runs
/
{run_id}
/
files
/
{file_id}
/
download
Python
import os
from dataframer import Dataframer

client = Dataframer(
    api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
)
response = client.dataframer.anonymization_runs.files.download(
    file_id="file_id",
    run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.content_type)
{
  "download_url": "<string>",
  "file_name": "<string>",
  "content_type": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Path Parameters

run_id
string<uuid>
required

UUID of the completed anonymization run.

file_id
string
required

ID of the file to retrieve. Matches id from anonymized_files[] in the run response.

Response

Anonymized file content

Presigned download URL for a single anonymized file.

download_url
string<uri>

Presigned S3 URL to download the anonymized file. Expires after 1 hour.

file_name
string

Original file name.

content_type
string

MIME type of the file (e.g. text/plain, application/json).